Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py	(revision 8706)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py	(revision 8708)
@@ -84,6 +84,22 @@
 
     @property
-    def payee(self):
+    def display_fullname(self):
+        "Name of  payee."
         return self.context.__parent__.display_fullname
+
+    @property
+    def id(self):
+        "Id of payee"
+        return self.context.__parent__.applicant_id
+
+    @property
+    def faculty(self):
+        "Faculty of payee"
+        return ''
+
+    @property
+    def department(self):
+        "Department of payee"
+        return ''
 
 # Applicant online payments must be importable. So we might need a factory.
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8706)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8708)
@@ -732,5 +732,10 @@
         self.assertEqual(payment.amount_auth,200.0)
         # Applicant is payee of the payment ticket.
-        self.assertEqual(IPaymentWebservice(payment).payee, 'John Tester')
+        self.assertEqual(
+            IPaymentWebservice(payment).display_fullname, 'John Tester')
+        self.assertEqual(
+            IPaymentWebservice(payment).id, self.applicant.applicant_id)
+        self.assertEqual(IPaymentWebservice(payment).faculty, '')
+        self.assertEqual(IPaymentWebservice(payment).department, '')
         # The pdf payment slip can't yet be opened
         #self.browser.open(payment_url + '/payment_receipt.pdf')
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8706)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8708)
@@ -146,4 +146,13 @@
     """
 
-    def payee():
-        "Payments are usually paid by a payee."
+    def display_fullname():
+        "Name of  payee."
+
+    def id():
+        "Id of payee"
+
+    def faculty():
+        "Faculty of payee"
+
+    def department():
+        "Department of payee"
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 8706)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 8708)
@@ -137,6 +137,22 @@
 
     @property
-    def payee(self):
+    def display_fullname(self):
+        "Name of  payee."
         return self.context.getStudent().display_fullname
+
+    @property
+    def id(self):
+        "Id of payee"
+        return self.context.getStudent().student_id
+
+    @property
+    def faculty(self):
+        "Faculty of payee"
+        return self.context.getStudent().faccode
+
+    @property
+    def department(self):
+        "Department of payee"
+        return self.context.getStudent().depcode
 
 # Student online payments must be importable. So we might need a factory.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 8706)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 8708)
@@ -159,5 +159,5 @@
         self.certificate.school_fee_1 = 40000.0
         self.certificate.school_fee_2 = 20000.0
-        self.app['faculties']['fac1'] = Faculty()
+        self.app['faculties']['fac1'] = Faculty(code='fac1')
         self.app['faculties']['fac1']['dep1'] = Department(code='dep1')
         self.app['faculties']['fac1']['dep1'].certificates.addCertificate(
@@ -1475,6 +1475,9 @@
 
         # Student is the payee of the payment ticket.
-        self.assertEqual(IPaymentWebservice(
-            self.student['payments'][value]).payee, 'Anna Tester')
+        webservice = IPaymentWebservice(self.student['payments'][value])
+        self.assertEqual(webservice.display_fullname, 'Anna Tester')
+        self.assertEqual(webservice.id, self.student_id)
+        self.assertEqual(webservice.faculty, 'fac1')
+        self.assertEqual(webservice.department, 'dep1')
 
         # We simulate the approval
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8706)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8708)
@@ -225,5 +225,4 @@
     """
     grok.implements(IStudentsUtils)
-    paymentfactory = u'waeup.StudentOnlinePayment'
 
     def getReturningData(self, student):
@@ -305,5 +304,5 @@
                ticket.p_session == p_session:
                   return _('This type of payment has already been made.'), None
-        payment = createObject(self.paymentfactory)
+        payment = createObject(u'waeup.StudentOnlinePayment')
         timestamp = "%d" % int(time()*1000)
         payment.p_id = "p%s" % timestamp