Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 8739)
@@ -114,5 +114,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...Settings have been saved...
+  ...Form has been saved...
   ...
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8739)
@@ -65,5 +65,5 @@
 from waeup.kofa.widgets.htmlwidget import HTMLDisplayWidget
 from waeup.kofa.authentication import get_principal_role_manager
-from waeup.kofa.utils.helpers import get_user_account
+from waeup.kofa.utils.helpers import get_user_account, msave
 
 grok.context(IKofaObject)
@@ -108,4 +108,7 @@
             _('Local role successfully removed: ${a}',
             mapping = {'a':', '.join(deleted)}))
+        ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
+        grok.getSite().logger.info(
+            '%s - removed: %s' % (ob_class, ', '.join(deleted)))
     view.redirect(view.url(view.context, u'@@manage')+'?tab%s' % tab)
     return
@@ -139,4 +142,7 @@
         view.flash(_('Successfully removed: ${a}',
             mapping = {'a': ', '.join(deleted)}))
+        ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
+        grok.getSite().logger.info(
+            '%s - removed: %s' % (ob_class, ', '.join(deleted)))
     if tab:
         view.redirect(view.url(view.context, redirect)+'?tab%s' % tab)
@@ -414,4 +420,7 @@
             self.flash(_('User account ${a} successfully deleted.',
                 mapping = {'a':  userid}))
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.__parent__.logger.info(
+                '%s - removed: %s' % (ob_class, userid))
 
     def getLocalRoles(self, account):
@@ -471,4 +480,7 @@
             self.flash(_('User account ${a} successfully added.',
                 mapping = {'a': name}))
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.__parent__.logger.info(
+                '%s - added: %s' % (ob_class, name))
         except KeyError:
             self.status = self.flash('The userid chosen already exists '
@@ -517,6 +529,8 @@
         fields_string = ' + '.join(changed_fields)
         if fields_string:
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
             self.context.__parent__.logger.info(
-                'User account %s edited: %s' % (self.context.name,fields_string))
+                '%s - %s edited: %s' % (
+                ob_class, self.context.name, fields_string))
         self.flash(_('User settings have been saved.'))
         return
@@ -675,7 +689,6 @@
     @action(_('Save'), style='primary')
     def save(self, **data):
-        self.applyData(self.context, **data)
+        msave(self, **data)
         self.context.frontpage_dict = self._frontpage()
-        self.flash(_('Settings have been saved.'))
         return
 
@@ -723,4 +736,8 @@
         try:
             self.context.addSessionConfiguration(sessionconfiguration)
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.__parent__.logger.info(
+                '%s - added: %s' % (
+                ob_class, sessionconfiguration.academic_session))
         except KeyError:
             self.flash(_('The session chosen already exists.'))
@@ -751,6 +768,5 @@
     @action(_('Save'), style='primary')
     def save(self, **data):
-        self.applyData(self.context, **data)
-        self.flash(_('Settings have been saved.'))
+        msave(self, **data)
         self.redirect(self.url(self.context.__parent__, '@@index')+'?tab2')
         return
@@ -800,6 +816,7 @@
             self.flash(_('Successfully deleted: ${a}',
                 mapping = {'a': ', '.join(deleted)}))
-            logger.info('%s: Deleted files %s' % (
-                self.request.principal.id, ', '.join(deleted)))
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.logger.info(
+                '%s - deleted: %s' % (ob_class, ', '.join(deleted)))
         return
 
@@ -832,6 +849,6 @@
             os.chmod(target, 0664)
             logger = self.context.logger
-            logger.info('%s: Uploaded file %s' % (
-                self.request.principal.id, target))
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            logger.info('%s - uploaded: %s' % (ob_class, target))
         except IOError:
             self.flash('Error while uploading file. Please retry.')
@@ -869,4 +886,7 @@
 
     def render(self):
+        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+        self.context.logger.info(
+            '%s - downloaded: %s' % (ob_class, self.filename))
         self.response.setHeader(
             'Content-Type', 'text/csv; charset=UTF-8')
@@ -1263,5 +1283,5 @@
     grok.name('manage')
     grok.template('datacentermanagepage')
-    grok.require('waeup.manageDataCenter')
+    grok.require('waeup.managePortal')
     label = _('Edit data center settings')
     pnav = 0
@@ -1292,4 +1312,7 @@
         if newpath:
             self.flash(_('New storage path succefully set.'))
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+            self.context.logger.info(
+                '%s - storage path set: %s' % (ob_class, newpath))
             self.redirect(self.url(self.context))
         return
@@ -1316,4 +1339,7 @@
             self.url(self.context, 'export.csv') + '?exporter=%s' % exporter)
         return
+        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
+        self.context.logger.info(
+            '%s - exported: %s' % (ob_class, exporter))
         exporter = getUtility(ICSVExporter, name=exporter)
         csv_data = exporter.export_all(grok.getSite())
@@ -1524,7 +1550,5 @@
     @action(_('Save'), style='primary')
     def save(self, **data):
-        self.applyData(self.context, **data)
-        self.flash(_('Form has been saved.'))
-        return
+        return msave(self, **data)
 
     @action(_('Cancel'), validator=NullValidator)
@@ -1703,7 +1727,5 @@
     @action(_('Save'), style='primary')
     def save(self, **data):
-        self.applyData(self.context, **data)
-        self.flash('Form has been saved.')
-        return
+        return msave(self, **data)
 
     @jsaction(_('Remove selected courses'))
@@ -1846,13 +1868,5 @@
     @action(_('Save'), style='primary')
     def save(self, **data):
-        self.applyData(self.context, **data)
-        self.flash(_('Form has been saved.'))
-        return
-
-    #@action('Save and return')
-    #def saveAndReturn(self, **data):
-    #    self.applyData(self.context, **data)
-    #    self.redirect(self.url(self.context))
-    #    return
+        return msave(self, **data)
 
     @action(_('Cancel'), validator=NullValidator)
@@ -1918,7 +1932,5 @@
     @action(_('Save'), style='primary')
     def save(self, **data):
-        self.applyData(self.context, **data)
-        self.flash(_('Form has been saved.'))
-        return
+        return msave(self, **data)
 
     @jsaction(_('Remove selected course referrers'))
@@ -2023,5 +2035,5 @@
         parent = self.context.__parent__
         if self.context.level == data['level']:
-            self.applyData(self.context, **data)
+            msave(self, **data)
         else:
             # The level changed. We have to create a new certcourse as
@@ -2031,5 +2043,5 @@
             parent.addCourseRef(**data)
             parent.delCourseRef(data['course'].code, level=old_level)
-        self.flash(_('Form has been saved.'))
+            self.flash(_('Form has been saved.'))
         self.redirect(self.url(parent))
         return
Index: main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/userscontainer.py	(revision 8739)
@@ -43,5 +43,5 @@
                              description=description,
                              email=email, phone=phone, roles=roles)
-        self.logger.info('User account %s added.' % name)
+        #self.logger.info('User account %s added.' % name)
 
     def addAccount(self, account):
@@ -49,5 +49,5 @@
         """
         self[account.name] = account
-        self.logger.info('User account %s added.' % account.name)
+        #self.logger.info('User account %s added.' % account.name)
 
     def delUser(self, name):
@@ -58,3 +58,3 @@
         if name in self.keys():
             del self[name]
-            self.logger.info('User account %s deleted.' % name)
+            #self.logger.info('User account %s deleted.' % name)
Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/helpers.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/helpers.py	(revision 8738)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/helpers.py	(revision 8739)
@@ -692,5 +692,6 @@
     fields_string = ' + '.join(changed_fields)
     view.flash(_('Form has been saved.'))
+    ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
     if fields_string:
-        view.context.writeLogMessage(view, 'saved: %s' % fields_string)
+        grok.getSite().logger.info('%s - saved: %s' % (ob_class, fields_string))
     return