Index: /main/waeup.futminna/trunk/src/waeup/futminna/applicants/interfaces.py
===================================================================
--- /main/waeup.futminna/trunk/src/waeup/futminna/applicants/interfaces.py	(revision 8743)
+++ /main/waeup.futminna/trunk/src/waeup/futminna/applicants/interfaces.py	(revision 8744)
@@ -312,5 +312,5 @@
     """
 
-    def loggerInfo(ob_class, comment):
+    def writeLogMessage(view, comment):
         """Adds an INFO message to the log file
         """
Index: /main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py
===================================================================
--- /main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py	(revision 8743)
+++ /main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py	(revision 8744)
@@ -26,5 +26,4 @@
 from waeup.kofa.interfaces import RETURNING, IKofaUtils
 from waeup.kofa.utils.helpers import to_timezone
-from waeup.kofa.students.browser import write_log_message
 from waeup.kofa.students.viewlets import ApprovePaymentActionButton as APABStudent
 from waeup.kofa.applicants.viewlets import ApprovePaymentActionButton as APABApplicant
@@ -208,6 +207,6 @@
             return
 
-        student = self.student = self.context.getStudent()
-        certificate = getattr(self.student['studycourse'],'certificate',None)
+        student = self.student = self.context.student
+        certificate = getattr(student['studycourse'],'certificate',None)
         self.amount_auth = 100 * self.context.amount_auth
         xmldict = {}
@@ -361,5 +360,5 @@
 #            self.flash(_('This ticket has already been paid.'))
 #            return
-#        student = self.context.getStudent()
+#        student = self.context.student
 #        query = self.request.form
 #        write_log_message(self,'callback received: %s' % query)
@@ -415,7 +414,7 @@
             self.flash(_('This ticket has already been paid.'))
             return
-        student = self.context.getStudent()
+        student = self.context.student
         success, msg, log = query_interswitch(self.context)
-        student.loggerInfo(ob_class, log)
+        student.writeLogMessage(self, log)
         if not success:
             self.flash(msg)
@@ -423,5 +422,5 @@
         success, msg, log = self.context.doAfterStudentPayment()
         if log is not None:
-            student.loggerInfo(ob_class, log)
+            student.writeLogMessage(self, log)
         self.flash(msg)
         return
@@ -439,5 +438,4 @@
 
     def update(self):
-        ob_class = self.__implemented__.__name__
         if self.context.p_state == 'paid':
             self.flash(_('This ticket has already been paid.'))
@@ -445,5 +443,5 @@
         applicant = self.context.__parent__
         success, msg, log = query_interswitch(self.context)
-        applicant.loggerInfo(ob_class, log)
+        applicant.writeLogMessage(self, log)
         if not success:
             self.flash(msg)
@@ -451,5 +449,5 @@
         success, msg, log = self.context.doAfterApplicantPayment()
         if log is not None:
-            applicant.loggerInfo(ob_class, log)
+            applicant.writeLogMessage(self, log)
         self.flash(msg)
         return
Index: /main/waeup.futminna/trunk/src/waeup/futminna/students/payments.py
===================================================================
--- /main/waeup.futminna/trunk/src/waeup/futminna/students/payments.py	(revision 8743)
+++ /main/waeup.futminna/trunk/src/waeup/futminna/students/payments.py	(revision 8744)
@@ -43,5 +43,6 @@
         return
 
-    def getStudent(self):
+    @property
+    def student(self):
         return self.__parent__.__parent__
 
Index: /main/waeup.futminna/trunk/src/waeup/futminna/students/studycourse.py
===================================================================
--- /main/waeup.futminna/trunk/src/waeup/futminna/students/studycourse.py	(revision 8743)
+++ /main/waeup.futminna/trunk/src/waeup/futminna/students/studycourse.py	(revision 8744)
@@ -38,5 +38,5 @@
     @property
     def next_session_allowed(self):
-        state = self.getStudent().state
+        state = self.student.state
         certificate = getattr(self, 'certificate', None)
         if certificate == None: