Index: /main/waeup.futminna/trunk/buildout-zeo.cfg
===================================================================
--- /main/waeup.futminna/trunk/buildout-zeo.cfg	(revision 8772)
+++ /main/waeup.futminna/trunk/buildout-zeo.cfg	(revision 8773)
@@ -42,5 +42,5 @@
 zeo.conf =
   <zeo>
-    address 7010
+    address ${kofa_params:server_port}
   </zeo>
   <blobstorage 1>
Index: /main/waeup.futminna/trunk/buildout.cfg
===================================================================
--- /main/waeup.futminna/trunk/buildout.cfg	(revision 8772)
+++ /main/waeup.futminna/trunk/buildout.cfg	(revision 8773)
@@ -30,4 +30,23 @@
 # (see .buildout/default.cfg in your home directory)
 # unless you specify an eggs-directory option here.
+
+[kofa_params]
+## Basic parameters for deployment.
+# default is 127.0.0.1
+host = 0.0.0.0
+# default is 8080
+base_port = 7041
+zeo1_port = 7041
+zeo2_port = 7042
+zeo3_port = 7043
+server_port = 7040
+# default 7. Number of pre-opened ZODB threads/client
+pool_size = 7
+# default 20MB. Cache size of each client (ZEO only)
+client_cache = 20MB
+# default 5000. Number of objects cached.
+object_cache = 5000
+# number of preopened paster threads, default 10
+threadpool_workers = 10
 
 [app]
Index: /main/waeup.futminna/trunk/etc/debug.ini.in
===================================================================
--- /main/waeup.futminna/trunk/etc/debug.ini.in	(revision 8772)
+++ /main/waeup.futminna/trunk/etc/debug.ini.in	(revision 8773)
@@ -60,6 +60,6 @@
 [server:main]
 use = egg:Paste#http
-host = 0.0.0.0
-port = 8080
+host = ${kofa_params:host}
+port = ${kofa_params:base_port}
 
 [DEFAULT]
Index: /main/waeup.futminna/trunk/etc/deploy.ini.in
===================================================================
--- /main/waeup.futminna/trunk/etc/deploy.ini.in	(revision 8772)
+++ /main/waeup.futminna/trunk/etc/deploy.ini.in	(revision 8773)
@@ -53,6 +53,6 @@
 [server:main]
 use = egg:Paste#http
-host = 0.0.0.0
-port = 7041
+host = ${kofa_params:host}
+port = ${kofa_params:base_port}
 
 [DEFAULT]
Index: /main/waeup.futminna/trunk/etc/profile.ini.in
===================================================================
--- /main/waeup.futminna/trunk/etc/profile.ini.in	(revision 8772)
+++ /main/waeup.futminna/trunk/etc/profile.ini.in	(revision 8773)
@@ -59,6 +59,6 @@
 [server:main]
 use = egg:Paste#http
-host = 0.0.0.0
-port = 8080
+host = ${kofa_params:host}
+port = ${kofa_params:base_port}
 
 [DEFAULT]
Index: /main/waeup.futminna/trunk/etc/zeo1.ini.in
===================================================================
--- /main/waeup.futminna/trunk/etc/zeo1.ini.in	(revision 8772)
+++ /main/waeup.futminna/trunk/etc/zeo1.ini.in	(revision 8773)
@@ -53,7 +53,7 @@
 [server:main]
 use = egg:Paste#http
-host = 0.0.0.0
-port = 7041
-threadpool_workers = 50
+host = ${kofa_params:host}
+port = ${kofa_params:zeo1_port}
+threadpool_workers = ${kofa_params:threadpool_workers}
 use_threadpool = True
 
Index: /main/waeup.futminna/trunk/etc/zeo2.ini.in
===================================================================
--- /main/waeup.futminna/trunk/etc/zeo2.ini.in	(revision 8772)
+++ /main/waeup.futminna/trunk/etc/zeo2.ini.in	(revision 8773)
@@ -53,7 +53,7 @@
 [server:main]
 use = egg:Paste#http
-host = 0.0.0.0
-port = 7042
-threadpool_workers = 50
+host = ${kofa_params:host}
+port = ${kofa_params:zeo2_port}
+threadpool_workers = ${kofa_params:threadpool_workers}
 use_threadpool = True
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8772)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8773)
@@ -119,5 +119,5 @@
         return appcats_dict[value][0]
 
-# Maybe Uniben still needs this ...
+# Maybe FUTMinna still needs this ...
 #class ApplicationPinSource(BasicContextualSourceFactory):
 #    """An application pin source delivers PIN prefixes for application
@@ -203,5 +203,5 @@
         )
 
-    # Maybe Uniben still needs this ...
+    # Maybe FUTMinna still needs this ...
     #ac_prefix = schema.Choice(
     #    title = u'Activation code prefix',
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/root.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/root.py	(revision 8772)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/root.py	(revision 8773)
@@ -86,5 +86,5 @@
             #        logger.info(
             #            '%s: %s added to root.' % (self.log_prefix,i[0]))
-            # can be removed after upgrading uniben
+            # can be removed after upgrading futminna
             #if not hasattr(app_folder, 'description_dict'):
             #    nothing_to_do = False