Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 8776)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 8777)
@@ -78,5 +78,5 @@
   >>> root['myuniversity']['users'].addUser('forgetful', 'secret',title='Bob Forgetful',
   ...                               description='A forgetful user', email='aa@aa.ng')
-  >>> browser.open('http://localhost/myuniversity/sendpw')
+  >>> browser.open('http://localhost/myuniversity/changepw')
   >>> browser.getControl(name="form.identifier").value = 'forgetful'
   >>> browser.getControl(name="form.email").value = 'aa@aa.ng'
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8776)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8777)
@@ -2067,7 +2067,7 @@
     """
     grok.context(IUniversity)
-    grok.name('sendpw')
+    grok.name('changepw')
     grok.require('waeup.Anonymous')
-    grok.template('sendpassword')
+    grok.template('changepw')
     label = _('Send me a new password')
     form_fields = grok.AutoFields(IChangePassword)
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt	(revision 8777)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt	(revision 8777)
@@ -0,0 +1,33 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      i18n:domain="waeup.kofa" enctype="multipart/form-data">
+
+  <table class="form-table">
+    <tbody>
+      <tal:widgets content="structure provider:widgets" />
+      <tr tal:condition="view/captcha_code">
+        <td i18n:translate="solve_captcha">
+          Please solve the captcha<br />to prevent misuse of this service:
+        </td>
+        <td>
+          <div tal:content="structure view/captcha_code"></div>
+        </td>
+      </tr>
+
+    </tbody>
+  </table>
+
+  <p i18n:translate="email_address_problem">
+    Enter the email address stored in Kofa.
+    You can't change your email address here.
+    If you've forgotten your email address or the email
+    address stored in Kofa is wrong or no longer valid,
+    use the enquiries form to request a change
+    of address.
+  </p>
+  <br />
+  <div tal:condition="view/availableActions">
+    <input tal:repeat="action view/actions"
+           tal:replace="structure action/render"
+           />
+  </div>
+</form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/loginpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/loginpage.pt	(revision 8776)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/loginpage.pt	(revision 8777)
@@ -43,5 +43,5 @@
   </p>
   <p i18n:translate="login_trouble3"> Or simply forgot your student id, application id or password? Then request a new password
-    <strong><a href="sendpw"> here</a></strong>.
+    <strong><a href="changepw"> here</a></strong>.
   </p>
 </form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/sendpassword.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/sendpassword.pt	(revision 8776)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      i18n:domain="waeup.kofa" enctype="multipart/form-data">
-
-  <table class="form-table">
-    <tbody>
-      <tal:widgets content="structure provider:widgets" />
-      <tr tal:condition="view/captcha_code">
-        <td i18n:translate="solve_captcha">
-          Please solve the captcha<br />to prevent misuse of this service:
-        </td>
-        <td>
-          <div tal:content="structure view/captcha_code"></div>
-        </td>
-      </tr>
-
-    </tbody>
-  </table>
-
-  <p i18n:translate="email_address_problem">
-    Enter the email address stored in Kofa.
-    You can't change your email address here.
-    If you've forgotten your email address or the email
-    address stored in Kofa is wrong or no longer valid,
-    use the enquiries form to request a change
-    of address.
-  </p>
-  <br />
-  <div tal:condition="view/availableActions">
-    <input tal:repeat="action view/actions"
-           tal:replace="structure action/render"
-           />
-  </div>
-</form>