Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/configure.zcml
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/configure.zcml	(revision 8814)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/configure.zcml	(revision 8816)
@@ -5,4 +5,5 @@
   <!-- Loading grok also configures a lot of other needed packages correctly.
   -->
+  <include package="kofacustom.nigeria" file="locales.zcml" />
   <include package="grok" />
   <includeOverrides package="." file="overrides.zcml" />
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales.zcml
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales.zcml	(revision 8816)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales.zcml	(revision 8816)
@@ -0,0 +1,8 @@
+<configure xmlns="http://namespaces.zope.org/zope"
+           xmlns:i18n="http://namespaces.zope.org/i18n">
+
+  <include package="zope.i18n" file="meta.zcml" />
+  <i18n:registerTranslations directory="locales" />
+  <include package="waeup.kofa" file="locales.zcml" />
+
+</configure>
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales/de/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales/de/LC_MESSAGES/waeup.custom.po	(revision 8816)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales/de/LC_MESSAGES/waeup.custom.po	(revision 8816)
@@ -0,0 +1,63 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Wed Jun 27 07:30:55 2012\n"
+"PO-Revision-Date: 2012-06-27 07:36+0100\n"
+"Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#. Default: ""
+#: kofacustom/nigeria/interfaces.py:89
+msgid "Invalid key: ${a}"
+msgstr "Ungültiger Schlüssel: ${a}"
+
+#: kofacustom/nigeria/utils/utils.py:26
+msgid "Nigeria"
+msgstr "Nigeria"
+
+#: kofacustom/nigeria/utils/utils.py:27
+msgid "Germany"
+msgstr "Deutschland"
+
+#: kofacustom/nigeria/utils/utils.py:28
+msgid "United States"
+msgstr "Vereinigte Staaten"
+
+#: kofacustom/nigeria/utils/utils.py:29
+msgid "Niger"
+msgstr "Niger"
+
+#: kofacustom/nigeria/utils/utils.py:30
+msgid "Benin"
+msgstr "Benin"
+
+#: kofacustom/nigeria/utils/utils.py:31
+msgid "Cameroon"
+msgstr "Kamerun"
+
+#: kofacustom/nigeria/utils/utils.py:32
+msgid "United Kingdom"
+msgstr "Vereinigtes Königreich"
+
+#: kofacustom/nigeria/utils/utils.py:33
+msgid "France"
+msgstr "Frankreich"
+
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales/waeup.custom.pot
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales/waeup.custom.pot	(revision 8816)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/locales/waeup.custom.pot	(revision 8816)
@@ -0,0 +1,62 @@
+##############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+##############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Wed Jun 27 07:30:55 2012\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: kofacustom/nigeria/interfaces.py:89
+#. Default: ""
+msgid "Invalid key: ${a}"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:26
+msgid "Nigeria"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:27
+msgid "Germany"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:28
+msgid "United States"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:29
+msgid "Niger"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:30
+msgid "Benin"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:31
+msgid "Cameroon"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:32
+msgid "United Kingdom"
+msgstr ""
+
+#: kofacustom/nigeria/utils/utils.py:33
+msgid "France"
+msgstr ""
+