Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8819)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8820)
@@ -42,5 +42,5 @@
     def getValues(self, context):
         verdicts_dict = getUtility(IStudentsUtils).VERDICTS_DICT
-        return verdicts_dict.keys()
+        return sorted(verdicts_dict.keys())
 
     def getToken(self, context, value):
@@ -49,4 +49,6 @@
     def getTitle(self, context, value):
         verdicts_dict = getUtility(IStudentsUtils).VERDICTS_DICT
+        if value != '0':
+            return verdicts_dict[value] + ' (%s)' % value
         return verdicts_dict[value]
 
@@ -345,5 +347,5 @@
         title = _(u'Current Verdict'),
         source = VerdictSource(),
-        default = 'NY',
+        default = '0',
         required = False,
         )
@@ -352,5 +354,5 @@
         title = _(u'Previous Verdict'),
         source = VerdictSource(),
-        default = 'NY',
+        default = '0',
         required = False,
         )
@@ -396,5 +398,5 @@
         title = _(u'Verdict'),
         source = VerdictSource(),
-        default = 'NY',
+        default = '0',
         required = False,
         )
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 8819)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 8820)
@@ -754,5 +754,5 @@
         self.assertEqual(student['studycourse'].current_session, 2005) # +1
         self.assertEqual(student['studycourse'].current_level, 200) # +100
-        self.assertEqual(student['studycourse'].current_verdict, 'NY') # NY = not set
+        self.assertEqual(student['studycourse'].current_verdict, '0') # 0 = Zero = not set
         self.assertEqual(student['studycourse'].previous_verdict, 'A')
         self.browser.getControl(name="transition").value = ['register_courses']
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 8819)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 8820)
@@ -127,5 +127,5 @@
             'entry_mode,entry_session,previous_verdict,student_id\r\n'
 
-            ',,,NY,,,NY,\r\n'
+            ',,,0,,,0,\r\n'
             )
         return
@@ -144,5 +144,5 @@
             'entry_mode,entry_session,previous_verdict,student_id\r\n'
 
-            'CERT1,200,2012,NY,ug_ft,2010,NY,A111111\r\n'
+            'CERT1,200,2012,0,ug_ft,2010,0,A111111\r\n'
             )
         return
@@ -160,5 +160,5 @@
             'entry_mode,entry_session,previous_verdict,student_id\r\n'
 
-            'CERT1,200,2012,NY,ug_ft,2010,NY,A111111\r\n'
+            'CERT1,200,2012,0,ug_ft,2010,0,A111111\r\n'
             )
         return
@@ -175,5 +175,5 @@
             'entry_mode,entry_session,previous_verdict,student_id\r\n'
 
-            'CERT1,200,2012,NY,ug_ft,2010,NY,A111111\r\n'
+            'CERT1,200,2012,0,ug_ft,2010,0,A111111\r\n'
             )
         return
@@ -210,5 +210,5 @@
             result,
             'level,level_session,level_verdict,student_id\r\n'
-            ',,NY,\r\n'
+            ',,0,\r\n'
             )
         return
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8819)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8820)
@@ -250,5 +250,5 @@
         student['studycourse'].current_session = new_session
         verdict = student['studycourse'].current_verdict
-        student['studycourse'].current_verdict = 'NY'
+        student['studycourse'].current_verdict = '0'
         student['studycourse'].previous_verdict = verdict
         return
@@ -412,5 +412,5 @@
 
     VERDICTS_DICT = {
-        'NY': _('(not yet)'),
+        '0': _('(not yet)'),
         'A': 'Successful student',
         'B': 'Student with carryover courses',